Summary:        Library for communicating with USB and Bluetooth HID devices
Name:           hidapi
Version:        0.13.1
Release:        3%{?dist}
License:        GPLv3 or BSD
URL:            https://github.com/libusb/hidapi
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires: cmake gcc
BuildRequires: libudev-devel libusb1-devel

%description 
This package provides a multi-platform library which allows an application to interface with 
USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS X.  On Linux, either 
the hidraw or the libusb back-end can be used. 

%package devel
Summary: Development files for hidapi
Requires: %{name} = %{version}-%{release}

%description -n hidapi-devel
This package provides development files for hidapi which provides access to USB and Bluetooth 
HID-class devices.


%prep
%autosetup -n %{name}-%{name}-%{version}


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE*.txt
%doc AUTHORS.txt README.md
%{_libdir}/libhidapi-*.so.*

%files devel
%{_includedir}/hidapi
%{_libdir}/cmake/hidapi
%{_libdir}/libhidapi-hidraw.so
%{_libdir}/libhidapi-libusb.so
%{_libdir}/pkgconfig/hidapi-hidraw.pc
%{_libdir}/pkgconfig/hidapi-libusb.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 7 2023 Wang Guodong <gordonwwang@tencent.com> - 0.13.1-1
- initial build
